summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbootstrap21
-rw-r--r--submodules/README2
2 files changed, 13 insertions, 10 deletions
diff --git a/bootstrap b/bootstrap
index 01fd7ea5..3b4b4783 100755
--- a/bootstrap
+++ b/bootstrap
@@ -1,18 +1,10 @@
#!/bin/sh
# Bootstrap script fetches external git submodules and run autotools.
+# Autotools create configure script and prepare Makefiles.
+
# Abort execution on error
set -e
-# Check if libtool is installed and what version.
-if which libtoolize > /dev/null; then
- libtoolize="libtoolize"
-elif which glibtoolize >/dev/null; then
- libtoolize="glibtoolize"
-else
- echo "$0: Error: libtool is required" >&2
- exit 1
-fi
-
# Submodules are external libraries downloaded from remote git repositories.
# To be build automaticaly with OpenOCD. Do we want to skip submodules?
if [ "$1" = "nosubmodule" ]; then
@@ -31,6 +23,15 @@ else
git submodule update
fi
+# Check if libtool is installed and what version.
+if which libtoolize > /dev/null; then
+ libtoolize="libtoolize"
+elif which glibtoolize >/dev/null; then
+ libtoolize="glibtoolize"
+else
+ echo "$0: Error: libtool is required" >&2
+ exit 1
+fi
# Bootstrap the autotools (create Makefie.in files and configure script).
(
diff --git a/submodules/README b/submodules/README
new file mode 100644
index 00000000..ef92e1e7
--- /dev/null
+++ b/submodules/README
@@ -0,0 +1,2 @@
+Submodules are external utilities or libraries downloaded from external git
+repositories to be built with OpenOCD. Submodules are handled by bootstrap.